> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Bundle Variants

> Return the List of all Bundle Variants that are purchasable.



## OpenAPI

````yaml openapi/ecommerce.yaml get /public/{user_id}/products/bundles
openapi: 3.0.1
info:
  title: Ecommerce API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/ecommerce
security:
  - bearerAuth: []
tags:
  - name: User
    description: ''
  - name: Cart
    description: ''
  - name: Stripe
    description: ''
  - name: Address
    description: ''
  - name: Gateway
    description: ''
  - name: Invoice
    description: ''
  - name: Order
    description: ''
  - name: Payment
    description: ''
  - name: Product
    description: ''
  - name: Subscription
    description: ''
  - name: Customer
    description: ''
  - name: Projection
    description: ''
  - name: Stripe EU
    description: ''
  - name: Vat
    description: ''
  - name: Legal
    description: ''
paths:
  /public/{user_id}/products/bundles:
    get:
      tags:
        - Product
      summary: List Bundle Variants
      description: Return the List of all Bundle Variants that are purchasable.
      operationId: listBundleVariants
      parameters:
        - name: user_id
          in: path
          description: The ID of the user.
          required: true
          schema:
            type: string
          example: sit
        - name: include
          in: query
          description: >-
            A comma-separated list of relationships to include. Multiple
            parameters are allowed.
          schema:
            enum:
              - productVariants
              - purchasableSubscription
              - purchasableSubscription.subscriptionPlan
            type: string
            description: >-
              A comma-separated list of relationships to include. Multiple
              parameters are allowed.
            example: productVariants
          example: productVariants
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        uuid:
                          type: string
                          example: 3739e605-9d90-3077-9f9e-26d93deada17
                        name:
                          type: string
                          example: Aut vero.
                        short_description:
                          type: string
                          example: Consectetur repellendus est vel.
                        type:
                          type: string
                          example: bundle_variant
                        price:
                          type: object
                          properties:
                            currency:
                              type: string
                              example: USD
                            amount:
                              type: string
                              example: '697.00'
                            amount_minor:
                              type: integer
                              example: 69700
                    example:
                      - uuid: 3739e605-9d90-3077-9f9e-26d93deada17
                        name: Aut vero.
                        short_description: Consectetur repellendus est vel.
                        type: bundle_variant
                        price:
                          currency: USD
                          amount: '697.00'
                          amount_minor: 69700
                      - uuid: 431161b2-2a79-3b74-afb9-e71cb47b2892
                        name: Animi velit inventore.
                        short_description: Sint similique maxime nemo consequatur.
                        type: bundle_variant
                        price:
                          currency: USD
                          amount: '381.00'
                          amount_minor: 38100
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 2
                      per_page:
                        type: integer
                        example: 10
                example:
                  data:
                    - uuid: 3739e605-9d90-3077-9f9e-26d93deada17
                      name: Aut vero.
                      short_description: Consectetur repellendus est vel.
                      type: bundle_variant
                      price:
                        currency: USD
                        amount: '697.00'
                        amount_minor: 69700
                    - uuid: 431161b2-2a79-3b74-afb9-e71cb47b2892
                      name: Animi velit inventore.
                      short_description: Sint similique maxime nemo consequatur.
                      type: bundle_variant
                      price:
                        currency: USD
                        amount: '381.00'
                        amount_minor: 38100
                  meta:
                    current_page: 1
                    total: 2
                    per_page: 10
              example:
                data:
                  - uuid: 3739e605-9d90-3077-9f9e-26d93deada17
                    name: Aut vero.
                    short_description: Consectetur repellendus est vel.
                    type: bundle_variant
                    price:
                      currency: USD
                      amount: '697.00'
                      amount_minor: 69700
                  - uuid: 431161b2-2a79-3b74-afb9-e71cb47b2892
                    name: Animi velit inventore.
                    short_description: Sint similique maxime nemo consequatur.
                    type: bundle_variant
                    price:
                      currency: USD
                      amount: '381.00'
                      amount_minor: 38100
                meta:
                  current_page: 1
                  total: 2
                  per_page: 10
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````